package com.your_domain.your_product.address.transfer;

import java.util.Date;

import com.jdbaccess.transfer.TransferObject;

/**
 * transfer object: Address 
 */
public class Address extends TransferObject {
  static final long serialVersionUID = Address.class.hashCode();
  private static String ENTITY_NAME = "address";
  public Long id;
  public String street;
  public String streetNumber;
  public String zipCode;
  public String city;
  public String country;  // country code, e.g. "US"
  public Date creation;
  public Date modification;
  
  public Address() {
    this.entity = ENTITY_NAME;
  }

  /**
   * @return Returns the city.
   */
  public String getCity() {
    return city;
  }

  /**
   * @param city The city to set.
   */
  public void setCity(String city) {
    this.city = city;
  }

  /**
   * @return Returns the country.
   */
  public String getCountry() {
    return country;
  }

  /**
   * @param country The country to set.
   */
  public void setCountry(String country) {
    this.country = country;
  }

  /**
   * @return Returns the creation.
   */
  public Date getCreation() {
    return creation;
  }

  /**
   * @param creation The creation to set.
   */
  public void setCreation(Date creation) {
    this.creation = creation;
  }

  /**
   * @return Returns the modification.
   */
  public Date getModification() {
    return modification;
  }

  /**
   * @param modification The modification to set.
   */
  public void setModification(Date modification) {
    this.modification = modification;
  }

  /**
   * @return Returns the street.
   */
  public String getStreet() {
    return street;
  }

  /**
   * @param street The street to set.
   */
  public void setStreet(String street) {
    this.street = street;
  }

  /**
   * @return Returns the streetNumber.
   */
  public String getStreetNumber() {
    return streetNumber;
  }

  /**
   * @param streetNumber The streetNumber to set.
   */
  public void setStreetNumber(String streetNumber) {
    this.streetNumber = streetNumber;
  }

  /**
   * @return Returns the zipCode.
   */
  public String getZipCode() {
    return zipCode;
  }

  /**
   * @param zipCode The zipCode to set.
   */
  public void setZipCode(String zipCode) {
    this.zipCode = zipCode;
  }

  /**
   * @return Returns the id.
   */
  public Long getId() {
    return id;
  }

  /**
   * @param id The id to set.
   */
  public void setId(Long id) {
    this.id = id;
  }

  /**
   * @return Returns the entity name
   */
  public static String getEntityName() {
    return ENTITY_NAME;
  }
}
